FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007171809.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007171809.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4a187bd OS_GIT_VERSION=4.4.0-202007171809.p0-4a187bd SOURCE_DATE_EPOCH=1594921230 SOURCE_GIT_COMMIT=4a187bd22320dabd905d9314450bf65432bee322 SOURCE_GIT_TAG=4a187bd2 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/openshift/sriov-network-operator
COPY . .
RUN make _build-sriov-network-config-daemon BIN_PATH=build/_output/cmd
RUN make plugins BIN_PATH=build/_output/pkg

FROM openshift/ose-base:v4.4.0.20200717.182147
ENV __doozer=update BUILD_RELEASE=202007171809.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007171809.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4a187bd OS_GIT_VERSION=4.4.0-202007171809.p0-4a187bd SOURCE_DATE_EPOCH=1594921230 SOURCE_GIT_COMMIT=4a187bd22320dabd905d9314450bf65432bee322 SOURCE_GIT_TAG=4a187bd2 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
RUN yum -y update && ARCH_DEP_PKGS=$(if [ "$(uname -m)" != "s390x" ]; then echo -n mstflint ; fi) && yum -y install hwdata $ARCH_DEP_PKGS && yum clean all
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/cmd/sriov-network-config-daemon /usr/bin/
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/pkg/plugins /plugins
COPY bindata /bindata
ENV PLUGINSPATH=/plugins
CMD ["/usr/bin/sriov-network-config-daemon"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-config-daemon" \
        io.k8s.description="This is a daemon that manage and config sriov network devices in Openshift cluster" \
        io.openshift.tags="openshift,networking,sr-iov" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-config-daemon" \
        com.redhat.component="sriov-network-config-daemon-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202007171809.p0" \
        io.openshift.build.commit.id="4a187bd22320dabd905d9314450bf65432bee322" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/4a187bd22320dabd905d9314450bf65432bee322" \
        version="v4.4.0"

